Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class ConditionalExpression

    java.lang.Object
      org.jbpm.jpdl.el.impl.Expression
          org.jbpm.jpdl.el.impl.ConditionalExpression

    public class ConditionalExpression

extends Expression

Represents a conditional expression. I've decided not to produce an abstract base "TernaryOperatorExpression" class since (a) future ternary operators are unlikely and (b) it's not clear that there would be a meaningful way to abstract them. (For instance, would they all be right- associative? Would they all have two fixed operator symbols?)

Author:
  Shawn Bayern

Constructor Summary
`ConditionalExpression(Expression pCondition, Expression pTrueBranch, Expression pFalseBranch)` Constructor

Method Summary
`java.lang.Object` | `evaluate(VariableResolver vr, FunctionMapper f, Logger l)` Evaluates the conditional expression and returns the literal result
`Expression` | `getCondition()`
`java.lang.String` | `getExpressionString()` Returns the expression in the expression language syntax
`Expression` | `getFalseBranch()`
`Expression` | `getTrueBranch()`
`void` | `setCondition(Expression pCondition)`
`void` | `setFalseBranch(Expression pFalseBranch)`
`void` | `setTrueBranch(Expression pTrueBranch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalExpression

    public ConditionalExpression(Expression pCondition,
                                 Expression pTrueBranch,
                                 Expression pFalseBranch)

  Constructor

Method Detail

### getCondition

    public Expression getCondition()

### setCondition

    public void setCondition(Expression pCondition)

### getTrueBranch

    public Expression getTrueBranch()

### setTrueBranch

    public void setTrueBranch(Expression pTrueBranch)

### getFalseBranch

    public Expression getFalseBranch()

### setFalseBranch

    public void setFalseBranch(Expression pFalseBranch)

### getExpressionString

    public java.lang.String getExpressionString()

  Returns the expression in the expression language syntax

  Specified by:
    `getExpressionString` in class `Expression`

### evaluate

    public java.lang.Object evaluate(VariableResolver vr,
                                     FunctionMapper f,
                                     Logger l)
                              throws ELException

  Evaluates the conditional expression and returns the literal result

  Specified by:
    `evaluate` in class `Expression`
  Throws:
    `ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD